7 Replies Latest reply on Sep 14, 2009 3:31 AM by Martin Kuhn

    Upgrading from 4.0.0.4 to 4.1.0.2 leads to an error on webservice comm

    Martin Kuhn Newbie

      Hi,

       

      I have a simple servicemix-bean POJO which uses a webservice communicating to Jboss.

       

      After upgrading I get the following exception:

       

      Caused by: java.lang.ClassCastException: com.sun.xml.messaging.saaj.soap.ver1_1.Message1_1Impl cannot be cast to com.sun.xml.messaging.saaj.soap.MessageImpl

      at com.sun.xml.rpc.client.dii.CallInvokerImpl._postSendingHook(CallInvokerImpl.java:322)

      at com.sun.xml.rpc.client.StreamingSender._send(StreamingSender.java:341)

      at com.sun.xml.rpc.client.dii.CallInvokerImpl.doInvoke(CallInvokerImpl.java:120)

      at com.sun.xml.rpc.client.dii.BasicCall.invoke(BasicCall.java:503)

      at com.sun.xml.rpc.client.dii.CallInvocationHandler.doCall(CallInvocationHandler.java:138)

      at com.sun.xml.rpc.client.dii.CallInvocationHandler.invoke(CallInvocationHandler.java:102)

       

       

       

      My maven pom file contains the following dependencies:

       

       

       

      <dependency>

      <groupId>javax.xml</groupId>

      <artifactId>jaxrpc-api</artifactId>

      <version>1.1</version>

      </dependency>

       

       

       

      <dependency>

      <groupId>javax.mail</groupId>

      <artifactId>mail</artifactId>

      <version>1.4</version>

      </dependency>

       

      <dependency>

      <groupId>com.sun.xml.messaging.saaj</groupId>

      <artifactId>saaj-impl</artifactId>

      <version>1.3.2</version>

      </dependency>

       

      <dependency>

      <groupId>com.sun.xml.rpc</groupId>

      <artifactId>jaxrpc-impl</artifactId>

      <version>1.1.3_01</version>

      </dependency>

       

      Could anybody give me a hint what I have to change?

       

      TIA

      Martin